cURL
curl --request GET \
--url https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 3223,
"filename": "Stress Management",
"url": "https://staging.oms.mylifeforce.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBb1FNIiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--88a330f579452817ed80dccc676a7b4729d3d248/Stress%20Management",
"created_at": "2022-04-18T09:46:00Z"
}
]{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Patient
Get Patient Resources
Returns the resources for this patient
GET
/
patient
/
{patientId}
/
resources
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the patient in question A universally unique identifier.
Example:
"29ea9012-c622-4851-a57a-9327abd21198"
Response
Successful response
Example:
3223
Example:
"Stress Management"
Example:
"https://staging.oms.mylifeforce.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBb1FNIiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--88a330f579452817ed80dccc676a7b4729d3d248/Stress%20Management"
Example:
"2022-04-18T09:46:00Z"
⌘I